---
title: "Colour"
description: "Documentation and guidance for building tools and integrations with the Disguise platform."
url: https://developer.disguise.one/api/session/colour/
---

# COLOUR API

-   [POST cdl](#post-cdl)
-   [GET cdls](#get-cdls)

## POST cdl

### Summary

Sets a CDL

### URL

POST    /api/session/colour/cdl

### Request

```json
{
  "cdl": {
    "uid": "",
    "name": "",
    "slope": {
      "x": 0,
      "y": 0,
      "z": 0
    },
    "offset": {
      "x": 0,
      "y": 0,
      "z": 0
    },
    "power": {
      "x": 0,
      "y": 0,
      "z": 0
    },
    "saturation": 0
  }
}
```

### Response

```json
{
  "status": {
    "code": 0,
    "message": "",
    "details": [
      {
        "type_url": "",
        "value": ""
      }
    ]
  }
}
```

## GET cdls

### Summary

Returns of the list of all CDLs

### URL

GET    /api/session/colour/cdls

### Response

```json
{
  "status": {
    "code": 0,
    "message": "",
    "details": [
      {
        "type_url": "",
        "value": ""
      }
    ]
  },
  "result": [
    {
      "uid": "",
      "name": "",
      "slope": {
        "x": 0,
        "y": 0,
        "z": 0
      },
      "offset": {
        "x": 0,
        "y": 0,
        "z": 0
      },
      "power": {
        "x": 0,
        "y": 0,
        "z": 0
      },
      "saturation": 0
    }
  ]
}
```
